import { triangularNumber } from './counterBasedForLoops.js';

describe('the `triangularNumber` function', () => {
  test('computes the zeroth triangular number', () => {
    expect(triangularNumber(0)).toBe(0);
  });
  test('computes the first triangular number', () => {
    expect(triangularNumber(1)).toBe(0);
  });
  test('computes the second triangular number', () => {
    expect(triangularNumber(2)).toBe(1);
  });
  test('computes the third triangular number', () => {
    expect(triangularNumber(3)).toBe(3);
  });
  test('computes the fourth triangular number', () => {
    expect(triangularNumber(4)).toBe(6);
  });
  test('computes the fifth triangular number', () => {
    expect(triangularNumber(5)).toBe(10);
  });
  test('computes the sixth triangular number', () => {
    expect(triangularNumber(6)).toBe(15);
  });
  test('computes the seventh triangular number', () => {
    expect(triangularNumber(7)).toBe(21);
  });
});
