import { sum } from './forEachLoops.js';

describe('the `sum` function', () => {
  test('totals elements of an empty', () => {
    expect(sum([])).toBe(0);
  });
  test('totals elements of a nonempty list', () => {
    expect(sum([4, 5, 6])).toBe(15);
  });
  test('totals elements of an empty set', () => {
    expect(sum(new Set([]))).toBe(0);
  });
  test('totals elements of a nonempty set', () => {
    expect(sum(new Set([6, 7, 8]))).toBe(21);
  });
});
