import { PlanarVector } from './arrays.js';

describe('the second `PlanarVector` class', () => {
  test('correctly gets the x coordinate', () => {
    const v = new PlanarVector();
    v.coordinates = [4, 5];
    expect(v.x).toBe(4);
  });
  test('correctly sets the x coordinate', () => {
    const v = new PlanarVector();
    v.x = 4;
    expect(v.coordinates).toEqual([4, 0]);
  });
  test('correctly gets the y coordinate', () => {
    const v = new PlanarVector();
    v.coordinates = [4, 5];
    expect(v.y).toBe(5);
  });
  test('correctly sets the y coordinate', () => {
    const v = new PlanarVector();
    v.y = 5;
    expect(v.coordinates).toEqual([0, 5]);
  });
});
