import { countDistinctElements } from './sets.js';

describe('the `countDistinctElements` function', () => {
  test('counts distinct elements in an empty list', () => {
    expect(countDistinctElements([])).toBe(0);
  });
  test('counts distinct elements in list without repeats', () => {
    expect(countDistinctElements([6, 4, 3, 5])).toBe(4);
  });
  test('counts distinct elements in list with repeats', () => {
    expect(countDistinctElements([6, 4, 6, 3, 4, 5, 4, 4])).toBe(4);
  });
});
