export function findMostCommonCharacter(string) {
  const histogram = new Map();
  for (const character of string) {
    histogram.set(character, 0);
  }
  for (const character of string) {
    histogram.set(character, histogram.get(character) + 1);
  }
  let mostCommon = undefined;
  let highestCount = 0;
  for (const [character, count] of histogram) {
    if (count > highestCount) {
      mostCommon = character;
      highestCount = count;
    }
  }
  return mostCommon;
}
