import { findMostCommonCharacter } from './maps.js';

describe('the `findMostCommonCharacter` function', () => {
  test('returns `undefined` if the string is empty', () => {
    expect(findMostCommonCharacter('')).toBe(undefined);
  });
  test('returns the lone character if the string has length one', () => {
    expect(findMostCommonCharacter('a')).toBe('a');
  });
  test('returns the repeated character if the string has only one duplicated character', () => {
    expect(findMostCommonCharacter('cinematography')).toBe('a');
  });
  test('returns the most repeated character if the string has multiple duplicated characters', () => {
    expect(findMostCommonCharacter('electroencephalograph')).toBe('e');
  });
});
