// INSTRUCTIONS: Change the function signature so that the progression starts at
// zero if no starting value is given, and its terms go up by one if no
// increment is given.
//
// Resources:
// <https://javascript.info/function-basics#default-values>
// <https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/Default_parameters>
export function formatArithmeticProgression(start, increment) {
  return `${start}, ${start + increment}, ${start + 2 * increment}, …`;
}
