import { formatArithmeticProgression } from './defaultParameters.js';

describe('the `formatArithmeticProgression` function', () => {
  test('formats a progression with an explicit start and increment', () => {
    expect(formatArithmeticProgression(9, 2)).toBe('9, 11, 13, …');
  });
  test('formats a progression with an implicit increment', () => {
    expect(formatArithmeticProgression(9)).toBe('9, 10, 11, …');
  });
  test('formats a progression with an implicit start and increment', () => {
    expect(formatArithmeticProgression()).toBe('0, 1, 2, …');
  });
});
