import { countArguments } from './restParameters.js';

describe('the `countArguments` function', () => {
  test('counts to zero if called with no arguments', () => {
    expect(countArguments()).toBe(0);
  });
  test('counts to one if called with one argument', () => {
    expect(countArguments('foo')).toBe(1);
  });
  test('counts to two if called with two arguments', () => {
    expect(countArguments('foo', 'bar')).toBe(2);
  });
});
