import { formatAsTriple } from './templateLiterals.js';

describe('the `formatAsTriple` function', () => {
  test('correctly formats the triple (0, 0, 0)', () => {
    expect(formatAsTriple(0, 0, 0)).toBe('(0, 0, 0)');
  });
  test('correctly formats the triple (1, 2, 3)', () => {
    expect(formatAsTriple(1, 2, 3)).toBe('(1, 2, 3)');
  });
  test('correctly formats the triple (-1, 2, -3)', () => {
    expect(formatAsTriple(-1, 2, -3)).toBe('(-1, 2, -3)');
  });
});
