import { classify } from './conditionals.js';

describe('the `classify` function', () => {
  test('correctly classifies a negative infinite number', () => {
    expect(classify(-Infinity)).toBe('negative number');
  });
  test('correctly classifies a negative finite number', () => {
    expect(classify(-4)).toBe('negative number');
  });
  test('correctly classifies zero', () => {
    expect(classify(0)).toBe('zero number');
  });
  test('correctly classifies a positive finite number', () => {
    expect(classify(4)).toBe('positive number');
  });
  test('correctly classifies a positive infinite number', () => {
    expect(classify(Infinity)).toBe('positive number');
  });
  test('correctly classifies a NaN', () => {
    expect(classify(NaN)).toBe('not a number');
  });
});
