import { countDigits } from './whileLoops.js';

describe('the `countDigits` function', () => {
  test('counts digits in a one-digit positive integer', () => {
    expect(countDigits(5)).toBe(1);
  });
  test('counts digits in a two-digit positive integer', () => {
    expect(countDigits(55)).toBe(2);
  });
  test('counts digits in a three-digit positive integer', () => {
    expect(countDigits(555)).toBe(3);
  });
  test('counts digits in a four-digit positive integer', () => {
    expect(countDigits(5555)).toBe(4);
  });
  test('counts digits in a five-digit positive integer', () => {
    expect(countDigits(55555)).toBe(5);
  });
  test('counts digits in a six-digit positive integer', () => {
    expect(countDigits(555555)).toBe(6);
  });
  test('counts digits in a seven-digit positive integer', () => {
    expect(countDigits(5555555)).toBe(7);
  });
  test('counts digits in an eight-digit positive integer', () => {
    expect(countDigits(55555555)).toBe(8);
  });
});
