import { Book } from './constructorsAndFields.js';

describe('the first `Book` class', () => {
  test('has `title` and `author` fields and no others', () => {
    const book = new Book('A Title', 'An Author');
    expect(Object.getOwnPropertyNames(book).sort()).toEqual(['author', 'title']);
  });
  test('stores the title and author given at construction time', () => {
    const book = new Book('A Title', 'An Author');
    expect(book.title).toBe('A Title');
    expect(book.author).toBe('An Author');
  });
});
