const FAHRENHEIT_FREEZING = 32;
const FAHRENHEIT_PER_CELSIUS = 1.8;

export class Temperature {
  constructor(celsius) {
    this.celsius = celsius;
  }

  get fahrenheit() {
    return FAHRENHEIT_FREEZING + FAHRENHEIT_PER_CELSIUS * this.celsius;
  }

  // INSTRUCTIONS: Write a setter so that if `t` is a `Temperature` object, a
  // statement like `t.fahrenheit = 32;` will set `t.celsius` to the equivalent
  // temperature in Celsius.
  //
  // Resources:
  // <https://javascript.info/class#getters-setters>
  // <https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/set>
}
