const FAHRENHEIT_FREEZING = 32;
const FAHRENHEIT_PER_CELSIUS = 1.8;

export class Temperature {
  constructor(celsius) {
    this.celsius = celsius;
  }

  get fahrenheit() {
    return FAHRENHEIT_FREEZING + FAHRENHEIT_PER_CELSIUS * this.celsius;
  }

  set fahrenheit(fahrenheit) {
    this.celsius = (fahrenheit - FAHRENHEIT_FREEZING) / FAHRENHEIT_PER_CELSIUS;
  }
}
