import { Swappable } from './arrayDestructuring.js';

describe('the `Swappable` class', () => {
  test('stores the two values given at construction time', () => {
    const swappable = new Swappable(4, 5);
    expect(swappable.first).toBe(4);
    expect(swappable.second).toBe(5);
  });
  test('can swap the two values', () => {
    const swappable = new Swappable(4, 5);
    swappable.swap();
    expect(swappable.first).toBe(5);
    expect(swappable.second).toBe(4);
  });
});
